The following commit has been merged in the master branch:
commit 4bfa49264ec61c0a5f8fbeed9859e46c17736881
Author: Gerfried Fuchs <[email protected]>
Date:   Mon Jun 11 09:17:03 2012 +0200

    add description to branchcheck script

diff --git a/debian/branchcheck b/debian/branchcheck
index bd66d97..755fe78 100644
--- a/debian/branchcheck
+++ b/debian/branchcheck
@@ -1,18 +1,21 @@
 #!/bin/sh
-# Copyright (C) 2009-2010 Gerfried Fuchs <[email protected]>
+# Copyright (C) 2009-2012 Gerfried Fuchs <[email protected]>
 # Licenced under WTFPLv2
 
-set -ex
+# Description: rebuild files from .in files
+#              This script will (re)generate the branched files from the
+#              corresponding .in files.
+#              To be called as "sh debian/branchcheck"
+
+set -e
 
 BRANCH=$(dpkg-parsechangelog | grep "^Version:" | cut -d" " -f2 | cut -d. 
-f1,2 | cut -d: -f2 | cut -d- -f1 | sed -e 's/[a-z].*//')
 BRANODOT=$(echo $BRANCH | tr -d .)
 
-if head -1 debian/control | grep -v "^Source: wesnoth-$BRANCH" >/dev/null ; 
then \
-       for i in debian/*.in debian/patches/*.in; do
-               new=$(basename $i .in | sed -e s/BRANCH/$BRANCH/)
-               dir=$(dirname $i)
-               cp $i $dir/$new
-               sed -i -e "s/BRANCH/$BRANCH/g"   $dir/$new
-               sed -i -e "s/BRANODOT/$BRANODOT/g" $dir/$new
-       done
-fi
+for i in debian/*.in debian/patches/*.in; do
+       new=$(basename $i .in | sed -e s/BRANCH/$BRANCH/)
+       dir=$(dirname $i)
+       cp $i $dir/$new
+       sed -i -e "s/BRANCH/$BRANCH/g"   $dir/$new
+       sed -i -e "s/BRANODOT/$BRANODOT/g" $dir/$new
+done

-- 
Debian packaging of wesnoth

_______________________________________________
Pkg-games-commits mailing list
[email protected]
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-games-commits

Reply via email to